Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty.servletfilter
Class RelyingPartyFilterConfiguration

    java.lang.Object
      org.wso2.solutions.identity.relyingparty.servletfilter.RelyingPartyFilterConfiguration

    public class RelyingPartyFilterConfiguration

extends java.lang.Object

Field Summary
`static java.lang.String` | `CERT_ALIAS`
`static java.lang.String` | `KEY_ALIAS`
`static java.lang.String` | `KEY_PASS`
`static java.lang.String` | `KEYSTORE`
`static java.lang.String` | `RP_CONFIG`
`static java.lang.String` | `SERVICE_KEY`
`static java.lang.String` | `STORE_PASS`
`static java.lang.String` | `STORE_TYPE`
`static java.lang.String` | `TRUST_STORE`
`static java.lang.String` | `TRUST_STORE_FILE`
`static java.lang.String` | `TRUST_STORE_PASS`
`static java.lang.String` | `TRUSTED_STS`
`static java.lang.String` | `VERIFIER_URL`

Method Summary
`java.lang.String` | `getConfigFilePath()`
`boolean` | `getDoCustomizeSSL()`
`static RelyingPartyFilterConfiguration` | `getInstance(java.lang.String confFilePath)`
`java.lang.String` | `getServiceKeyAlias()`
`java.lang.String` | `getServiceKeyPass()`
`java.lang.String` | `getServiceKeystore()`
`java.lang.String` | `getServiceStorePass()`
`java.lang.String` | `getServiceStoreType()`
`java.lang.String` | `getStsCertAlias()`
`java.lang.String` | `getStsKeystore()`
`java.lang.String` | `getStsStorePass()`
`java.lang.String` | `getStsStoreType()`
`java.lang.String` | `getTrustStoreFileName()`
`java.lang.String` | `getTrustStorePass()`
`java.lang.String` | `getVerifierURL()`
`void` | `save()`
`void` | `setConfigFilePath(java.lang.String configFilePath)`
`void` | `setDoCustomizeSSL(boolean doCustomizeSSL)`
`void` | `setServiceKeyAlias(java.lang.String serviceKeyAlias)`
`void` | `setServiceKeyPass(java.lang.String serviceKeyPass)`
`void` | `setServiceKeystore(java.lang.String serviceKeystore)`
`void` | `setServiceStorePass(java.lang.String serviceStorePass)`
`void` | `setServiceStoreType(java.lang.String serviceStoreType)`
`void` | `setStsCertAlias(java.lang.String stsCertAlias)`
`void` | `setStsKeystore(java.lang.String stsKeystore)`
`void` | `setStsStorePass(java.lang.String stsStorePass)`
`void` | `setStsStoreType(java.lang.String stsStoreType)`
`void` | `setTrustStoreFileName(java.lang.String trustStoreFileName)`
`void` | `setTrustStorePass(java.lang.String trustStorePass)`
`void` | `setVerifierURL(java.lang.String verifierURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYSTORE

    public static final java.lang.String KEYSTORE

See Also:
  Constant Field Values

### STORE_PASS

    public static final java.lang.String STORE_PASS

See Also:
  Constant Field Values

### KEY_ALIAS

    public static final java.lang.String KEY_ALIAS

See Also:
  Constant Field Values

### KEY_PASS

    public static final java.lang.String KEY_PASS

See Also:
  Constant Field Values

### STORE_TYPE

    public static final java.lang.String STORE_TYPE

See Also:
  Constant Field Values

### CERT_ALIAS

    public static final java.lang.String CERT_ALIAS

See Also:
  Constant Field Values

### VERIFIER_URL

    public static final java.lang.String VERIFIER_URL

See Also:
  Constant Field Values

### SERVICE_KEY

    public static final java.lang.String SERVICE_KEY

See Also:
  Constant Field Values

### TRUSTED_STS

    public static final java.lang.String TRUSTED_STS

See Also:
  Constant Field Values

### RP_CONFIG

    public static final java.lang.String RP_CONFIG

See Also:
  Constant Field Values

### TRUST_STORE

    public static final java.lang.String TRUST_STORE

See Also:
  Constant Field Values

### TRUST_STORE_FILE

    public static final java.lang.String TRUST_STORE_FILE

See Also:
  Constant Field Values

### TRUST_STORE_PASS

    public static final java.lang.String TRUST_STORE_PASS

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static RelyingPartyFilterConfiguration getInstance(java.lang.String confFilePath)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### save

    public void save()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConfigFilePath

    public java.lang.String getConfigFilePath()

### setConfigFilePath

    public void setConfigFilePath(java.lang.String configFilePath)

### getServiceKeyAlias

    public java.lang.String getServiceKeyAlias()

### setServiceKeyAlias

    public void setServiceKeyAlias(java.lang.String serviceKeyAlias)

### getServiceKeyPass

    public java.lang.String getServiceKeyPass()

### setServiceKeyPass

    public void setServiceKeyPass(java.lang.String serviceKeyPass)

### getServiceKeystore

    public java.lang.String getServiceKeystore()

### setServiceKeystore

    public void setServiceKeystore(java.lang.String serviceKeystore)

### getServiceStorePass

    public java.lang.String getServiceStorePass()

### setServiceStorePass

    public void setServiceStorePass(java.lang.String serviceStorePass)

### getServiceStoreType

    public java.lang.String getServiceStoreType()

### setServiceStoreType

    public void setServiceStoreType(java.lang.String serviceStoreType)

### getStsCertAlias

    public java.lang.String getStsCertAlias()

### setStsCertAlias

    public void setStsCertAlias(java.lang.String stsCertAlias)

### getStsKeystore

    public java.lang.String getStsKeystore()

### setStsKeystore

    public void setStsKeystore(java.lang.String stsKeystore)

### getStsStorePass

    public java.lang.String getStsStorePass()

### setStsStorePass

    public void setStsStorePass(java.lang.String stsStorePass)

### getStsStoreType

    public java.lang.String getStsStoreType()

### setStsStoreType

    public void setStsStoreType(java.lang.String stsStoreType)

### getVerifierURL

    public java.lang.String getVerifierURL()

### setVerifierURL

    public void setVerifierURL(java.lang.String verifierURL)

### getDoCustomizeSSL

    public boolean getDoCustomizeSSL()

### getTrustStoreFileName

    public java.lang.String getTrustStoreFileName()

### getTrustStorePass

    public java.lang.String getTrustStorePass()

### setDoCustomizeSSL

    public void setDoCustomizeSSL(boolean doCustomizeSSL)

### setTrustStoreFileName

    public void setTrustStoreFileName(java.lang.String trustStoreFileName)

### setTrustStorePass

    public void setTrustStorePass(java.lang.String trustStorePass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD